> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetstream.ai/api-reference/ap-is/mia/llms.txt.
> For full documentation content, see https://docs.meetstream.ai/api-reference/ap-is/mia/llms-full.txt.

# Get Agent Configs

GET https://api.meetstream.ai/api/v1/mia

Reference: https://docs.meetstream.ai/api-reference/ap-is/mia/get-agent-configs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Meetstream API
  version: 1.0.0
paths:
  /api/v1/mia:
    get:
      operationId: get-agent-configs
      summary: Get Agent Configs
      tags:
        - subpackage_mia
      parameters:
        - name: Authorization
          in: header
          description: 'Format: Token <your_api_key>'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MIAGetConfigsResponse'
servers:
  - url: https://api.meetstream.ai
components:
  schemas:
    MiaAgentConfigObjectMode:
      type: string
      enum:
        - pipeline
        - realtime
      title: MiaAgentConfigObjectMode
    MiaModelConfigThinkingConfig:
      type: object
      properties:
        include_thoughts:
          type: boolean
        thinking_budget:
          type: integer
      title: MiaModelConfigThinkingConfig
    MIAModelConfig:
      type: object
      properties:
        provider:
          type: string
        model:
          type: string
        system_prompt:
          type: string
        first_message:
          type: string
        max_token:
          type: integer
        temperature:
          type: number
          format: double
        voice:
          type: string
          description: Used for realtime mode models that have a built-in voice.
        modalities:
          type: array
          items:
            type: string
        max_response_output_tokens:
          type: integer
        max_tokens:
          type: integer
        top_p:
          type: number
          format: double
        frequency_penalty:
          type: number
          format: double
        presence_penalty:
          type: number
          format: double
        thinking_config:
          $ref: '#/components/schemas/MiaModelConfigThinkingConfig'
        enable_affective_dialog:
          type: boolean
        proactivity:
          type: boolean
        disable_automatic_activity_detection:
          type: boolean
      title: MIAModelConfig
    MIAVoiceConfig:
      type: object
      properties:
        provider:
          type: string
        model:
          type: string
        voice_id:
          type: string
        speed:
          type: number
          format: double
      title: MIAVoiceConfig
    MIATranscriberConfig:
      type: object
      properties:
        provider:
          type: string
        model:
          type: string
        language:
          type: string
        boostwords:
          type: array
          items:
            type: string
      title: MIATranscriberConfig
    MiaAgentConfigInterruptionMode:
      type: string
      enum:
        - adaptive
        - vad
      title: MiaAgentConfigInterruptionMode
    MIAInterruptionsConfig:
      type: object
      properties:
        min_duration_seconds:
          type: number
          format: double
        word_threshold:
          type: integer
      title: MIAInterruptionsConfig
    MIAAgentConfig:
      type: object
      properties:
        tools:
          type: array
          items:
            type: string
        preemptive_generation:
          type: boolean
        user_away_timeout:
          type: number
          format: double
        interruption_mode:
          $ref: '#/components/schemas/MiaAgentConfigInterruptionMode'
        interruptions:
          $ref: '#/components/schemas/MIAInterruptionsConfig'
        false_interruption_timeout:
          type: number
          format: double
        vad_eagerness:
          type: string
        vad_type:
          type: string
        enable_interruptions:
          type: boolean
        resume_false_interruption:
          type: boolean
        response_modality:
          type: string
        mcp_servers:
          type: object
          additionalProperties:
            description: Any type
        tools_enabled:
          type: boolean
        vad_threshold:
          type: number
          format: double
        vad_prefix_padding_ms:
          type: integer
        vad_silence_duration_ms:
          type: integer
        turn_detection:
          type: string
        vad_activation_threshold:
          type: number
          format: double
        vad_deactivation_threshold:
          type:
            - number
            - 'null'
          format: double
        vad_min_silence_duration_ms:
          type: integer
        vad_min_speech_duration_ms:
          type: integer
        vad_prefix_padding_duration_ms:
          type: integer
        endpointing_mode:
          type: string
        min_endpointing_delay:
          type: number
          format: double
        max_endpointing_delay:
          type: number
          format: double
      title: MIAAgentConfig
    MIAAudioConfig:
      type: object
      properties:
        sample_rate:
          type: integer
        num_channels:
          type: integer
      title: MIAAudioConfig
    MIAAvatarConfig:
      type: object
      properties:
        provider:
          type: string
        enabled:
          type: boolean
        avatar_id:
          type: string
      title: MIAAvatarConfig
    MIAAgentConfigObject:
      type: object
      properties:
        AgentConfigID:
          type: string
        UserID:
          type: string
        AgentName:
          type: string
        Mode:
          $ref: '#/components/schemas/MiaAgentConfigObjectMode'
        Model:
          $ref: '#/components/schemas/MIAModelConfig'
        Voice:
          oneOf:
            - $ref: '#/components/schemas/MIAVoiceConfig'
            - type: 'null'
        Transcriber:
          oneOf:
            - $ref: '#/components/schemas/MIATranscriberConfig'
            - type: 'null'
        Agent:
          $ref: '#/components/schemas/MIAAgentConfig'
        Audio:
          $ref: '#/components/schemas/MIAAudioConfig'
        Avatar:
          $ref: '#/components/schemas/MIAAvatarConfig'
        WakeWord:
          type: object
          additionalProperties:
            description: Any type
        CreatedAt:
          type: string
        UpdatedAt:
          type: string
      description: A full agent configuration object as returned by the API.
      title: MIAAgentConfigObject
    MIAGetConfigsResponse:
      type: object
      properties:
        agent_configs:
          type: array
          items:
            $ref: '#/components/schemas/MIAAgentConfigObject'
        count:
          type: integer
      title: MIAGetConfigsResponse
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Format: Token <your_api_key>'

```

## SDK Code Examples

```python
import requests

url = "https://api.meetstream.ai/api/v1/mia"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/mia';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/mia"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/mia")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meetstream.ai/api/v1/mia")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meetstream.ai/api/v1/mia', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/mia");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/mia")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```